<form *ngIf="form" [formGroup]="form" class="row" (ngSubmit)="joinRoom()">

  <mat-form-field *ngIf="form.get('playerNickname') as playerNickname">
    <mat-label translate>player.playerNickname</mat-label>
    <input [formControl]="playerNickname" matInput>
    <mat-error *ngIf="playerNickname.invalid">{{playerNickname.errors | errorFormat | async}}</mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="form.get('roomCredentials.roomName') as roomName">
    <mat-label translate>gameRoom.roomName</mat-label>
    <input [formControl]="roomName" matInput>
    <mat-error *ngIf="roomName.invalid">{{roomName.errors | errorFormat | async}}</mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="form.get('roomCredentials.roomPassword') as roomPassword">
    <mat-label translate>gameRoom.password</mat-label>
    <input [type]="passwordHide ? 'password' : 'text'" [formControl]="roomPassword" matInput>
    <mat-icon class="icon--pointer" matSuffix (click)="passwordHide = !passwordHide">
      {{passwordHide ? 'visibility_off' : 'visibility'}}</mat-icon>
    <mat-error *ngIf="roomPassword.invalid">{{roomPassword.errors | errorFormat | async}}</mat-error>
  </mat-form-field>

  <button type="submit" mat-raised-button color="primary" class="button--submit">
    <span translate>startup.jointRoom.submit</span>
  </button>
</form>